Retrieve a single shared table#
Description#
Returns a shared table that matches the provided ID, or a 404 if no matching shared table is found.
GET /api/v1/sharedtable/{sharedTableId}
Required OAuth Scopes
No OAuth scopes are required to use this endpoint.
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
sharedTableId |
path |
string |
true |
The unique identifier of the shared table |
sharedWithMe |
query |
boolean |
false |
If true, returns a shared table with the provided ID that has been shared to—rather than from—the workspace of the request. |
Code Samples#
curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/sharedtable/{sharedTableId} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/sharedtable/{sharedTableId} \
Accept:application/json \
Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/sharedtable/{sharedTableId}" \
--output-document - \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/sharedtable/{sharedTableId}', headers = headers)
print(r.json())
Returns#
200 - OK#
Returns a JSON object with a body property, which contains a SharedTableDto object for the requested shared table.
Example Responses#
{
"body": {
"created": "string",
"destinationWorkspaceId": "string",
"id": "string",
"parentId": "string",
"sourceTableId": "string",
"table": {
"created": "string",
"databaseId": "string",
"datasetUpdated": "string",
"deleted": "boolean",
"description": "string",
"hierarchyMetadata": {
"childColumnId": "string",
"parentColumnId": "string"
},
"id": "string",
"isShared": "boolean",
"lastUploaded": "string",
"name": "string",
"parentId": "string",
"readOnly": "boolean",
"tableSchema": {
"columns": [
{
"alias": "string",
"description": "string",
"metadata": {},
"mode": "string",
"name": "string",
"type": "string"
}
]
},
"type": "string",
"uniqueTableConstraints": [
{
"description": "string",
"id": "string",
"name": "string",
"tableId": "string",
"values": [
"string"
]
}
],
"updated": "string",
"userId": "string",
"version": "integer"
},
"updated": "string",
"userId": "string",
"version": "integer"
},
"code": "integer"
}